%define bzrdate 20090917

%define luaver 5.1
%define lualibdir %{_libdir}/lua/%{luaver}

Name:           lunatic-python
Version:        1.0.1
Release:        0.24.%{bzrdate}bzr%{?dist}
Summary:        Two-way bridge between Python and Lua

License:        LGPLv2+
URL:            http://labix.org/lunatic-python
# bzr branch lp:~hircus/lunatic-python/trunk
# (cd lunatic-python && \
#  bzr export --root=lunatic-python ../lunatic-python.tar.bz2)
Source0:        %{name}.tar.bz2
Patch0:		lunatic-python-lua-py-segfault.patch
Patch1:		lunatic-python-memleak.patch

BuildRequires:  python2-devel compat-lua-devel pkgconfig gcc

%global _description\
Lunatic Python is a two-way bridge between Python and Lua, allowing\
these languages to intercommunicate. Being two-way means that it\
allows Lua inside Python, Python inside Lua, Lua inside Python inside\
Lua, Python inside Lua inside Python, and so on.\


%description %_description

%package -n python2-lunatic
Summary: %summary
%{?python_provide:%python_provide python2-lunatic}
# Remove before F30
Provides: lunatic-python = %{version}-%{release}
Provides: lunatic-python%{?_isa} = %{version}-%{release}
Obsoletes: lunatic-python < %{version}-%{release}

%description -n python2-lunatic %_description

%prep
%setup -q -n %{name}

%patch0 -p0
%patch1 -p0

%build
CFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags lua-5.1`" LUAPCNAME="lua-5.1" %{__python2} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%py2_install
# Move Lua's python module to its correct place
mkdir -p $RPM_BUILD_ROOT%{lualibdir}
mv $RPM_BUILD_ROOT{%{python2_sitearch}/python.so,%{lualibdir}}

 

%files -n python2-lunatic
%doc LICENSE 
%{lualibdir}/python.so
%{python2_sitearch}/*


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.24.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.23.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.1-0.22.20090917bzr
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sun Aug 20 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-0.21.20090917bzr
- Add Provides for the old name without %%_isa

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-0.20.20090917bzr
- Python 2 binary package renamed to python2-lunatic
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.19.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.18.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.17.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.16.20090917bzr
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.15.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.14.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.13.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.12.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Jon Ciesla <limburgher@gmail.com> - 1.0.1-0.11.20090917bzr
- Switch to compat-lua to fix FTBFS, BZ 992153.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.10.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.9.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.8.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Jon Ciesla <limburgher@gmail.com> - 1.0.1-0.7.20090917bzr
- Patched for memory leak, BZ 794995.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.6.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Jon Ciesla <limb@jcomserv.net> - 1.0.1-0.5.20090917bzr
- Patch for segfault, BZ 692287.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.4.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.1-0.3.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Sep 23 2009 Michel Salim <salimma@fedoraproject.org> - 1.0.1-0.2.20090917bzr%{?dist}
- Follow guidelines for snapshot release tag

* Thu Sep 17 2009 Michel Salim <salimma@fedoraproject.org> - 1.0.1-0.1.bzr20090917%{?dist}
- Initial package

